Skip to main content
POST
Rotate Webhook Signing Key

Authorizations

Authorization
string
header
required

Bearer authentication with an API token

Path Parameters

id
string
required

The ID of the webhook to rotate the signing key for

Body

application/json
request_id
string<uuid>

Request identifier in a UUID format. Serves as an idempotency key: a retry with the same request_id does not rotate the key again. Will become required.

Pattern: ^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$

Response

Success

signing_secret
string
read-only

Plaintext signing secret. Returned exactly once — store it now.

key_id
string
read-only

Opaque identifier for this key

previous_key_expires_at
string<date-time>

When the previous key stops being valid. Empty on first generate.

Example:

"2023-01-15T01:30:15.01Z"